Index: branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90
===================================================================
--- branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 6101)
+++ branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 6772)
@@ -2987,118 +1531,9 @@
       rfactxy = nn_factx * nn_facty
       
-      ! 2.b. Set up bins for coarse grid, horizontal only.
-      ierr = crs_dom_alloc2()
-     
-      mis2_crs(:) = 0      ;      mie2_crs(:) = 0
-      mjs2_crs(:) = 0      ;      mje2_crs(:) = 0
-
-      
-      SELECT CASE ( nn_binref )
-
-      CASE ( 0 ) 
-
-         SELECT CASE ( nperio )
-     
- 
-        CASE ( 0, 1, 3, 4 )    !   3, 4 : T-Pivot at North Fold
-        
-            DO ji = 2, jpiglo_crsm1
-               ijie = ( ji * nn_factx ) - nn_factx   !cc
-               ijis = ijie - nn_factx + 1
-               mis2_crs(ji) = ijis
-               mie2_crs(ji) = ijie
-            ENDDO
-            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie2_crs(jpiglo_crsm1) = jpiglo - 2  
-
-            ! Handle first the northernmost bin
-            IF ( nn_facty == 2 ) THEN   ;    ijjgloT = jpjglo - 1 
-            ELSE                        ;    ijjgloT = jpjglo
-            ENDIF
-
-            DO jj = 2, jpjglo_crs
-                ijje = ijjgloT - nn_facty * ( jj - 3 )
-                ijjs = ijje - nn_facty + 1                   
-                mjs2_crs(jpjglo_crs-jj+2) = ijjs
-                mje2_crs(jpjglo_crs-jj+2) = ijje
-               !WRITE(narea+200,*)"jpjglo_crs-jj+2,ijje,ijjs ",jpjglo_crs-jj+2,ijjs,ijje ; call flush(narea+200)
-            ENDDO
-
-         CASE ( 2 ) 
-            WRITE(numout,*)  'crs_init, jperio=2 not supported' 
-        
-         CASE ( 5, 6 )    ! F-pivot at North Fold
-
-            DO ji = 2, jpiglo_crsm1
-               ijie = ( ji * nn_factx ) - nn_factx 
-               ijis = ijie - nn_factx + 1
-               mis2_crs(ji) = ijis
-               mie2_crs(ji) = ijie
-            ENDDO
-            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie_crs(jpiglo_crsm1)  = jpiglo - 2 
-
-            ! Treat the northernmost bin separately.
-            jj = 2
-            ijje = jpj - nn_facty * ( jj - 2 )
-            IF ( nn_facty == 3 ) THEN   ;  ijjs = ijje - 1 
-            ELSE                        ;  ijjs = ijje - nn_facty + 1
-            ENDIF
-            mjs2_crs(jpj_crs-jj+1) = ijjs
-            mje2_crs(jpj_crs-jj+1) = ijje
-
-            ! Now bin the rest, any remainder at the south is lumped in the southern bin
-            DO jj = 3, jpjglo_crsm1
-                ijje = jpjglo - nn_facty * ( jj - 2 )
-                ijjs = ijje - nn_facty + 1                  
-                IF ( ijjs <= nn_facty )  ijjs = 2
-                WRITE(narea+200,*)"fufu",jj,ijjs,ijje ; call flush(narea+200)
-                mjs2_crs(jpj_crs-jj+1)   = ijjs
-                mje2_crs(jpj_crs-jj+1)   = ijje
-            ENDDO
-
-         CASE DEFAULT
-            WRITE(numout,*) 'crs_init. Only jperio = 0, 1, 3, 4, 5, 6 supported' 
- 
-         END SELECT
-
-      CASE (1 )
-         WRITE(numout,*) 'crs_init.  Equator-centered bins option not yet available' 
-
-      END SELECT
-
-     ! Pad the boundaries, do not know if it is necessary
-      mis2_crs(2) = 1             ;  mis2_crs(jpiglo_crs) = mie2_crs(jpiglo_crs - 1) + 1   
-      mie2_crs(2) = nn_factx      ;  mie2_crs(jpiglo_crs) = jpiglo                         
-      !
-      mjs2_crs(1) = 1
-      mje2_crs(1) = 1
-      !
-      mje2_crs(2) = mjs2_crs(3)-1 ;  mje2_crs(jpjglo_crs) = jpjglo
-      mjs2_crs(2) = 1             ;  mjs2_crs(jpjglo_crs) = mje2_crs(jpjglo_crs) - nn_facty + 1 
- 
-      IF( .NOT. lk_mpp ) THEN     
-        mis_crs(:) = mis2_crs(:) 
-        mie_crs(:) = mie2_crs(:)
-        mjs_crs(:) = mjs2_crs(:) 
-        mje_crs(:) = mje2_crs(:) 
-      ELSE
-       !write(narea+200,*)"njmpp ",njmpp
-        DO jj = 1, nlej_crs
-           !write(narea+200,*)jj,"mjs2_crs mje2_crs ",mjg_crs(jj),mjs2_crs(mjg_crs(jj)),mje2_crs(mjg_crs(jj)) ; call flush(narea+200)
-           mjs_crs(jj) = mjs2_crs(mjg_crs(jj)) - njmpp + 1
-           mje_crs(jj) = mje2_crs(mjg_crs(jj)) - njmpp + 1
-           !write(narea+200,*)"mjs_crs mje_crs ",mjs_crs(jj),mje_crs(jj) ; call flush(narea+200)
-        ENDDO
-        !write(narea+200,*)"nimpp ",nimpp
-        DO ji = 1, nlei_crs
-           !write(narea+200,*)ji,"mis2_crs mie2_crs ",mig_crs(ji),mis2_crs(mig_crs(ji)),mie2_crs(mig_crs(ji)) ; call flush(narea+200)
-           mis_crs(ji) = mis2_crs(mig_crs(ji)) - nimpp + 1
-           mie_crs(ji) = mie2_crs(mig_crs(ji)) - nimpp + 1
-           !write(narea+200,*)"mis_crs mie_crs ",mis_crs(jj),mie_crs(jj) ; call flush(narea+200)
-        ENDDO
       ENDIF
       !
-      !IF( nlcj_crs -1 .GT. nlej_crs )WRITE(narea+200,*)"tutututu",nlcj_crs,nlej_crs ; call flush(narea+200)
       nistr = mis_crs(2)  ;   niend = mis_crs(nlci_crs - 1)
       njstr = mjs_crs(3)  ;   njend = mjs_crs(nlcj_crs - 1)
+      !
       !
    END SUBROUTINE crs_dom_def
Index: branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 6101)
+++ branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 6772)
@@ -33,5 +33,4 @@
    PUBLIC crs_dom_wri        ! routine called by crsini.F90
 
-   !! $Id$
 CONTAINS
 
@@ -65,4 +64,5 @@
       CHARACTER(len=21) ::   clnam4   ! filename (vertical   mesh informations)
       INTEGER           ::   ji, jj, jk   ! dummy loop indices
+      INTEGER           ::   iji,ijj
       !                                   !  workspaces
       REAL(wp), POINTER, DIMENSION(:,:  ) :: zprt, zprw 
@@ -122,4 +122,5 @@
       !========================================================
       !                                                         ! masks (inum2) 
+
       CALL iom_rstput( 0, 0, inum2, 'tmask', tmask_crs, ktype = jp_i1 )     !    ! land-sea mask
       CALL iom_rstput( 0, 0, inum2, 'umask', umask_crs, ktype = jp_i1 )
@@ -202,15 +203,15 @@
             
          IF ( nn_msh_crs <= 6 ) THEN
-            CALL iom_rstput( 0, 0, inum4, 'e3t', e3t_crs )      
-            CALL iom_rstput( 0, 0, inum4, 'e3w', e3w_crs )      
-            CALL iom_rstput( 0, 0, inum4, 'e3u', e3u_crs )      
-            CALL iom_rstput( 0, 0, inum4, 'e3v', e3v_crs )      
-            CALL iom_rstput( 0, 0, inum4, 'e3t_max_crs', e3t_max_crs )      
-            CALL iom_rstput( 0, 0, inum4, 'e3w_max_crs', e3w_max_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3t', e3t_0_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3w', e3w_0_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3u', e3u_0_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3v', e3v_0_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3t_max_crs', e3t_max_0_crs )      
+            CALL iom_rstput( 0, 0, inum4, 'e3w_max_crs', e3w_max_0_crs )      
          ELSE
             DO jj = 1,jpj_crs   
                DO ji = 1,jpi_crs
-                  ze3tp(ji,jj) = e3t_crs(ji,jj,mbkt_crs(ji,jj)) * tmask_crs(ji,jj,1)
-                  ze3wp(ji,jj) = e3w_crs(ji,jj,mbkt_crs(ji,jj)) * tmask_crs(ji,jj,1)
+                  ze3tp(ji,jj) = e3t_0_crs(ji,jj,mbkt_crs(ji,jj)) * tmask_crs(ji,jj,1)
+                  ze3wp(ji,jj) = e3w_0_crs(ji,jj,mbkt_crs(ji,jj)) * tmask_crs(ji,jj,1)
                END DO
             END DO
@@ -224,10 +225,10 @@
 
          IF ( nn_msh_crs <= 3 ) THEN
-            CALL iom_rstput( 0, 0, inum4, 'gdept', gdept_crs, ktype = jp_r4 ) 
+            CALL iom_rstput( 0, 0, inum4, 'gdept', gdept_0_crs, ktype = jp_r4 ) 
             DO jk = 1,jpk   
                DO jj = 1, jpj_crsm1   
                   DO ji = 1, jpi_crsm1  ! jes what to do for fs_jpim1??vector opt.
-                     zdepu(ji,jj,jk) = MIN( gdept_crs(ji,jj,jk) , gdept_crs(ji+1,jj  ,jk) ) * umask_crs(ji,jj,jk)
-                     zdepv(ji,jj,jk) = MIN( gdept_crs(ji,jj,jk) , gdept_crs(ji  ,jj+1,jk) ) * vmask_crs(ji,jj,jk)
+                     zdepu(ji,jj,jk) = MIN( gdept_0_crs(ji,jj,jk) , gdept_0_crs(ji+1,jj  ,jk) ) * umask_crs(ji,jj,jk)
+                     zdepv(ji,jj,jk) = MIN( gdept_0_crs(ji,jj,jk) , gdept_0_crs(ji  ,jj+1,jk) ) * vmask_crs(ji,jj,jk)
                   END DO   
                END DO   
@@ -237,5 +238,5 @@
             CALL iom_rstput( 0, 0, inum4, 'gdepu', zdepu, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepv', zdepv, ktype = jp_r4 )
-            CALL iom_rstput( 0, 0, inum4, 'gdepw', gdepw_crs, ktype = jp_r4 )
+            CALL iom_rstput( 0, 0, inum4, 'gdepw', gdepw_0_crs, ktype = jp_r4 )
          ELSE
             DO jj = 1,jpj_crs   
